ThresholdsResource
Reads and sets the project vital thresholds.
- Stable unknown
- Release candidate since 0.1.0-rc.4
- Development since 0.1.0-dev.24+fa54770
public final class ThresholdsResourceReads and sets the project vital thresholds. Get it from SlimResource.thresholds().
Methods
retrieve
public JsonNode retrieve(RequestOptions options) throws IOException, InterruptedExceptionGets the project thresholds (GET /v2/slim/threshold).
Parameters:
options: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
update
public JsonNode update(Object body, RequestOptions options) throws IOException, InterruptedExceptionReplaces the project thresholds (PUT /v2/slim/threshold). Not retried on network errors.
Parameters:
body: the thresholdsoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
Last updated on